/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Parameters.h"
#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,@COMPONENT,"print","Begin");

    string tab = string(depth,'\t');
    ostringstream msg;
    msg << tab << "<@COMPONENT_LOWER>" << endl
	<< tab << "</@COMPONENT_LOWER>" << endl;

    log_printf(FUNC,@COMPONENT,"print","End");
    
    return msg.str();
  };

  ostream& operator<< (ostream& output_stream ,
		       morpheo::behavioural::@NAMESPACE_USE::Parameters & x)
  {
    output_stream << x.print(0);
    
    return output_stream;
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
